Jump to content


Tabber widges fatal error


This topic has been archived. This means that you cannot reply to this topic.
3 replies to this topic

#1 mlhblogs

mlhblogs

    Advanced Member

  • Members
  • Others: All Plugins, Builder
  • PipPipPip
  • 140 posts

Posted 27 August 2011 - 06:19 AM

When I click on "tabber widget" in the tools menu I get:

Fatal error:  Class 'ITFileUtility' not found in /home/content/01/8022201/html/wp-content/plugins/builder-style-manager/lib/classes/it-utility.php on line 326

Fatal Error (<a id="it-fatal-error-message-link" rel="nofollow" target="_blank">hide</a>)

The theme has encountered a problem that it cannot recover from.

Please use the following information to try to resolve the problem.



Error Code:    
php_code_error:1:/home/content/01/8022201/html/wp-content/plugins/builder-style-manager/lib/classes/it-utility.php:326:Class

'ITFileUtility' not found

    

Message:    
A fatal code error occurred.    

If you are unable to fix this problem, please copy all the text on this screen and send it to <a  href="mailto:support@ithemes.com" rel="nofollow" target="_blank">support@ithemes.com</a>.
Debug Data:

Array
(
	[0] => Array
		(
			[file] => /home/content/01/8022201/html/wp-content/plugins/builder-style-manager/lib/classes/it-error.php
			[line] => 121
			[function] => fatal
			[class] => ITError
			[type] => ::
			[args] => Array
				(
					[0] => php_code_error:1:/home/content/01/8022201/html/wp-content/plugins/builder-style-manager/lib/classes/it-utility.php:326:Class 'ITFileUtility' not found
					[1] => A fatal code error occurred.
				)

		)

	[1] => Array
		(
			[file] => /home/content/01/8022201/html/wp-content/plugins/builder-style-manager/lib/classes/it-error.php
			[line] => 148
			[function] => handle_error
			[class] => ITError
			[type] => ::
			[args] => Array
				(
					[0] => 1
					[1] => Class 'ITFileUtility' not found
					[2] => /home/content/01/8022201/html/wp-content/plugins/builder-style-manager/lib/classes/it-utility.php
					[3] => 326
				)

		)

	[2] => Array
		(
			[function] => it_error_shutdown
			[args] => Array
				(
				)

		)

)

Thanks

Mike Hodges
    



Edited by Mike Hodges, 02 September 2011 - 08:04 AM.


#2 Bes Zain

Bes Zain

    Member

  • Members
  • 4,268 posts

Posted 02 September 2011 - 03:00 PM

Hi Mike,

Thanks for posting this!

Hmmm, this shouldn't happen (just tried it with all Builder themes) BUT it does happen (it happens with anything that's NOT Builder it seems, including Flexx themes). This is a confirmed bug that I can duplicate from my end.

To get more info (that will help us in fixing it):

1 : Which themes are you using?

2 : What is your URL?

3 : Does the actual Tabber Widgets tabs/widgets work? They work from my end and the error I see is in the Dashboard side.

I've filed this as a confirmed bug. I'll let you know as soon as we have any updates on this. Basically, so far, any non-Builder theme that TabberWidgets is used on, the Tools --> TabberWidgetsadmin area shows the fatal error. That TabberWidgets still work perfectly fine on the homepage/front-end for the end user, though. (could you confirm this too, please?)

Thanks for bringing this up! Please let me know if you've any more questions or info.

Regards,

#3 mlhblogs

mlhblogs

    Advanced Member

  • Members
  • Others: All Plugins, Builder
  • PipPipPip
  • 140 posts

Posted 02 September 2011 - 08:25 PM

Flexx is the active them (builder them is installed.

www.hodgestriallawyers.com

In the widgets area it asks for a title and a 'taber' drup menu that has nothing in it. I assume it has to be set up in the tabber tools menu.

#4 Bes Zain

Bes Zain

    Member

  • Members
  • 4,268 posts

Posted 05 September 2011 - 03:54 PM

Hi Mike, :)

Thanks for letting me know the info.So you're saying (correct me if I'm wrong - otherwise everything is good and I'll let you know of any updates whenever they happen): Flexx widget area works, the Tabber widget shows up in Flexx Widgets area, and the Tabber Widget menu (initially) has nothing in it.

Yes, you're right: you can add stuff to the Tabber Widgets THROUGH the Tabber Tools Menu, which is what is missing (or showing the fatal error) on Flexx.

As soon as there are any updates I'll let you know.

Regards, and thanks for being patient with this about this!